/*
 *  AClipboardHistorySwitcher.h
 *  Keyboard Maestro
 *
 *  Created by Peter N Lewis on Mon 19 May 2008.
 *  Copyright (c) 2008 Stairways Software. All rights reserved.
 */
 
#import "HBaseAction.h"

class AClipboardHistorySwitcher
	:	public HBaseAction
{

public:
	
private:
	
public:
	
	AClipboardHistorySwitcher();
	AClipboardHistorySwitcher( const AClipboardHistorySwitcher& inAction );
	virtual ~AClipboardHistorySwitcher();

	virtual AClipboardHistorySwitcher*		Clone() const { return new AClipboardHistorySwitcher( *this ); }
	virtual AClipboardHistorySwitcher*		Create() const { return new AClipboardHistorySwitcher(); }
	
	virtual HActionType				GetActionType() const { return HActionType::kClipboardHistorySwitcher; }

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif
	
	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );
};

