//
//  ADontRotateStatusMenu.h
//  Keyboard Maestro
//
//  Created by Peter N Lewis on Fri 27 Apr 2012.
//  Copyright (c) 2012 Stairways Software. All rights reserved.
//

#import "HBaseAction.h"

class ADontRotateStatusMenu
	:	public HBaseAction
{

private:

public:

    ADontRotateStatusMenu();
	ADontRotateStatusMenu( const ADontRotateStatusMenu& inAction );
    virtual ~ADontRotateStatusMenu();

	virtual ADontRotateStatusMenu*		Clone() const { return new ADontRotateStatusMenu( *this ); }
	virtual ADontRotateStatusMenu*		Create() const { return new ADontRotateStatusMenu(); }
	
    virtual HActionType				GetActionType() const { return HActionType::kDontRotateStatusMenu; }
	virtual	CFStringRef				CopyActionDescriptionString() const;

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif

	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );

};

