//
//  ADontRotateStatusMenu.cpp
//  Keyboard Maestro
//
//  Created by Peter N Lewis on Fri 27 Apr 2012.
//  Copyright (c) 2012 Stairways Software. All rights reserved.
//

#import "ADontRotateStatusMenu.h"

ADontRotateStatusMenu::ADontRotateStatusMenu()
	:	HBaseAction()
{
}

ADontRotateStatusMenu::ADontRotateStatusMenu( const ADontRotateStatusMenu& inAction )
	:	HBaseAction( inAction )
{
}
	
ADontRotateStatusMenu::~ADontRotateStatusMenu()
{
}
	
CFStringRef
ADontRotateStatusMenu::CopyActionDescriptionString() const
{
	return CFSTR("Dont Rotate Status Menu"); // never visible to users
}

#if KMF_IS_ENGINE

float
ADontRotateStatusMenu::DoAction()
{
	return 0;
}

#endif

#pragma mark streaming

void
ADontRotateStatusMenu::SaveToDictionary( CFMutableDictionaryRef dictionary ) const
{
}

void
ADontRotateStatusMenu::InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException )
{
}
