/*
 *  ASaveClipboardToNamedClipboard.cpp
 *  Keyboard Maestro
 *
 *  Created by Peter N Lewis on Mon 5 May 2008.
 *  Copyright (c) 2008 Stairways Software. All rights reserved.
 */

#import "ASaveClipboardToNamedClipboard.h"
#import "ACopyClipboard.h"
#import "CSClipboardDomain.h"

#if KMF_IS_ENGINE

float
ASaveClipboardToNamedClipboard::DoAction()
{
	check( false );
	return 0;
}

#endif

#pragma mark streaming

void
ASaveClipboardToNamedClipboard::SaveToDictionary( CFMutableDictionaryRef dictionary ) const
{
	check( false );
	mClipboardReference.SaveToDictionary( dictionary );
}

void
ASaveClipboardToNamedClipboard::InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException )
{
	mClipboardReference.InitializeFromDictionary( dictionary );
}

HBaseAction*
ASaveClipboardToNamedClipboard::CleanActionAfterInitialization()
{
	ACopyClipboard* newAction = new ACopyClipboard();
	mClipboardReference.UpdateClipboardReference();
	CSClipboardDataSet* clip = mClipboardReference.GetClipboardDataSet();
	if ( clip ) {
		newAction->SetGenericTargetNamedClipboardUID( clip->GetUID() );
	}
	delete this;
	return newAction;
}
