/*
 *  ASetClipboardToNamedClipboard.h
 *  Keyboard Maestro
 *
 *  Created by Peter N Lewis on Fri 2 May 2008.
 *  Copyright (c) 2008 Stairways Software. All rights reserved.
 */

#import "HBaseAction.h"
#import "ClipboardReference.h"

// Obsolete!!!!!

class ASetClipboardToNamedClipboard
	:	public HBaseAction
{

private:

	ClipboardReference				mClipboardReference;

public:

    ASetClipboardToNamedClipboard() = default;
	ASetClipboardToNamedClipboard( const ASetClipboardToNamedClipboard& inAction ) = default;
    virtual ~ASetClipboardToNamedClipboard() = default;

	virtual ASetClipboardToNamedClipboard*		Clone() const { return new ASetClipboardToNamedClipboard( *this ); }
	virtual ASetClipboardToNamedClipboard*		Create() const { return new ASetClipboardToNamedClipboard(); }
	
    virtual HActionType				GetActionType() const { return HActionType::kSetClipboardToNamedClipboard; }

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif

	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );

	virtual HBaseAction*			CleanActionAfterInitialization();

};

