/*
 *  ASetClipboardToNamedClipboard.cpp
 *  Keyboard Maestro
 *
 *  Created by Peter N Lewis on Fri 2 May 2008.
 *  Copyright (c) 2008 Stairways Software. All rights reserved.
 */

#import "ASetClipboardToNamedClipboard.h"
#import "ACopyClipboard.h"
#import "CSClipboardDataSet.h"

#if KMF_IS_ENGINE

float
ASetClipboardToNamedClipboard::DoAction()
{
	check( false );
	return 0;
}

#endif

#pragma mark streaming

void
ASetClipboardToNamedClipboard::SaveToDictionary( CFMutableDictionaryRef dictionary ) const
{
	check( false );
	mClipboardReference.SaveToDictionary( dictionary );
}

void
ASetClipboardToNamedClipboard::InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException )
{
	mClipboardReference.InitializeFromDictionary( dictionary );
}

HBaseAction*
ASetClipboardToNamedClipboard::CleanActionAfterInitialization()
{
	ACopyClipboard* newAction = new ACopyClipboard();
	mClipboardReference.UpdateClipboardReference();
	CSClipboardDataSet* clip = mClipboardReference.GetClipboardDataSet();
	if ( clip ) {
		newAction->SetGenericSourceNamedClipboardUID( clip->GetUID() );
	}
	delete this;
	return newAction;
}
