//
//  AShowApplications.h
//  Keyboard Maestro
//
//  Created by Peter N Lewis on Mon 21 Sep 2009.
//  Copyright (c) 2009 Stairways Software. All rights reserved.
//

#import "HBaseAction.h"

class AShowApplications
	:	public HBaseAction
{
public:

private:

public:

	AShowApplications();
	AShowApplications( const AShowApplications& inAction );
	virtual ~AShowApplications();
	
	virtual AShowApplications*		Clone() const { return new AShowApplications( *this ); }
	virtual AShowApplications*		Create() const { return new AShowApplications(); }
	
    virtual HActionType				GetActionType() const  { return HActionType::kShowAll; }

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif

	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );
};

