/*
 *  AShowApplications.cpp
 *  Keyboard Maestro
 *
 *  Created by Michael Kamprath on Sun Dec 16 2001.
 *  Copyright (c) 2004 Stairways Software. All rights reserved.
 */

#import "AShowApplications.h"
#import "XRunningApplicationsList.h"
#import "MMacroDomain.h"

AShowApplications::AShowApplications()
	:	HBaseAction()
{
}

AShowApplications::AShowApplications( const AShowApplications& inAction )
	:	HBaseAction( inAction )
{
}
	
AShowApplications::~AShowApplications()
{
}
	
#if KMF_IS_ENGINE
float
AShowApplications::DoAction()
{
	XProcessSerialNumberList list;
	XRunningApplicationsList::GetApplicationsSortedByUse( list, false );
	for ( CFIndex index = 0; index < list.GetCount(); index++ ) {
		if ( !IsProcessVisible( &list[index] ) ) {
			ShowHideProcess( &list[index], true );
		}
	}
	
	return 5;
}
#endif

#pragma mark streaming

void
AShowApplications::SaveToDictionary( CFMutableDictionaryRef dictionary ) const
{
}

void
AShowApplications::InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException )
{
}
