//
//  VariableTransformationAction.h
//  Keyboard Maestro
//
//  Created by Peter N Lewis on Wed 27 Apr 2011.
//  Copyright (c) 2011 Stairways Software. All rights reserved.
//

class VariableTransformationAction
{
public:
	
    VariableTransformationAction() = default;
    virtual ~VariableTransformationAction();

	virtual CFStringRef				CopyTransformationResult( NSUInteger* errorPos = NULL, float* time = NULL ) const = PURE_VIRTUAL;

	virtual NSString*				GetVariable() const = PURE_VIRTUAL;
	NSString*						GetTransformationResult( NSUInteger* errorPos = NULL, float* time = NULL ) const
										{ CFContainer<CFStringRef> s = CopyTransformationResult( errorPos, time ); return s ? s->GetNS() : nil; }

	virtual NSString*				GetVariableValue() const { return nil; } // Only called if GetVariable returns nil
};

