/*
 *  ABringWindowsForward.h
 *  Keyboard Maestro
 *
 *  Created by Michael Kamprath on Sat Dec 15 2001.
 *  Copyright (c) 2004 Stairways Software. All rights reserved.
 */

#import "HBaseAction.h"

class ABringWindowsForward
	:	public HBaseAction
{

public:
    ABringWindowsForward();
	ABringWindowsForward( const ABringWindowsForward& inAction );
    virtual ~ABringWindowsForward();

	virtual ABringWindowsForward*	Clone() const { return new ABringWindowsForward( *this ); }
	virtual ABringWindowsForward*	Create() const { return new ABringWindowsForward(); }
	
    virtual HActionType				GetActionType() const { return HActionType::kBringWindowsForward; }

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif
	
	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );

};

