/*
 *  ABringWindowsForward.cpp
 *  Keyboard Maestro
 *
 *  Created by Michael Kamprath on Sat Dec 15 2001.
 *  Copyright (c) 2004 Stairways Software. All rights reserved.
 */

#import "ABringWindowsForward.h"
#import "KMIconRegistry.h"

ABringWindowsForward::ABringWindowsForward()
	:	HBaseAction()
{
}

ABringWindowsForward::ABringWindowsForward( const ABringWindowsForward& inAction )
	:	HBaseAction( inAction )
{
}


ABringWindowsForward::~ABringWindowsForward()
{
}

#if KMF_IS_ENGINE

float
ABringWindowsForward::DoAction()
{
	ProcessSerialNumber		frontApp;
	
    verify_noerr( GetFrontProcess( &frontApp ) );
    verify_noerr( SetFrontProcessWithOptions( &frontApp, 0 ) );
	return 2;
}

#endif

#pragma mark streaming

void
ABringWindowsForward::SaveToDictionary( CFMutableDictionaryRef dictionary ) const
{
}

void
ABringWindowsForward::InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException )
{
}
