/*
 *  ASaveClipboardToNamedClipboard.h
 *  Keyboard Maestro
 *
 *  Created by Peter N Lewis on Mon 5 May 2008.
 *  Copyright (c) 2008 Stairways Software. All rights reserved.
 */

#import "HBaseAction.h"
#import "ClipboardReference.h"

// Obsolete!!!!!

class ASaveClipboardToNamedClipboard
	:	public HBaseAction
{

private:

	ClipboardReference				mClipboardReference;

public:

    ASaveClipboardToNamedClipboard() = default;
	ASaveClipboardToNamedClipboard( const ASaveClipboardToNamedClipboard& inAction ) = default;
    virtual ~ASaveClipboardToNamedClipboard() = default;

	virtual ASaveClipboardToNamedClipboard*		Clone() const { return new ASaveClipboardToNamedClipboard( *this ); }
	virtual ASaveClipboardToNamedClipboard*		Create() const { return new ASaveClipboardToNamedClipboard(); }
	
    virtual HActionType				GetActionType() const { return HActionType::kSaveClipboardToNamedClipboard; }

#if KMF_IS_ENGINE
    virtual float					DoAction();
#endif

	virtual void					SaveToDictionary( CFMutableDictionaryRef dictionary ) const;
	virtual void					InitializeFromDictionary( CFDictionaryRef dictionary ) throw ( XException );

	virtual HBaseAction*			CleanActionAfterInitialization();
};

